Skip to main content
POST
Create Retention Portal Session

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Body

application/json
provider_customer_id
string
required

Customer ID in the payment provider. Forwarded to Chargebee Retention as account.internal_id.

provider_subscription_id
string
required

Subscription ID in the payment provider. Forwarded to Chargebee Retention as subscription_id.

save_return_url
string

Optional redirect URL on save/retain. Forwarded to Chargebee Retention as-is.

cancel_confirmation_url
string

Optional redirect URL on confirm-cancel. Forwarded to Chargebee Retention as-is.

custom
object

Optional pass-through custom fields (e.g. { "program": "MWL", "offer_accept_url": "..." }).

Response

Success.

data
object
required